StringsCompleter (Grails 6.0.0)

Package: org.grails.cli.interactive.completers

## [Java] Class StringsCompleter

- org.grails.cli.interactive.completers.StringsCompleter

- All Implemented Interfaces and Traits:
    jline.console.completer.Completer

      public class StringsCompleter

  A completer that completes based on a collection of Strings

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.SortedSet<java.lang.String>` | `strings` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StringsCompleter ()`
    `StringsCompleter (java.util.Collection<java.lang.String> strings)`
    `StringsCompleter (java.lang.String strings)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)`
    `` | `public java.util.SortedSet<java.lang.String>` | `getStrings()`
    `` | `public void` | `setStrings(java.util.SortedSet<java.lang.String> strings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.SortedSet<java.lang.String> strings

  - ### Constructor Detail

    - #### public StringsCompleter()

    - #### public StringsCompleter(java.util.Collection<java.lang.String> strings)

    - #### public StringsCompleter(java.lang.String strings)

  - ### Method Detail

    - #### public int complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)

    - #### public java.util.SortedSet<java.lang.String> getStrings()

    - #### public void setStrings(java.util.SortedSet<java.lang.String> strings)